import { Injectable } from '@nestjs/common';
import { InjectModel } from '@nestjs/mongoose';
import { Model } from 'mongoose';
import {
  IndustryChangeApplication,
  IndustryChangeApplicationDocument,
} from './schemas/IndustryChangeApplication.schema';

@Injectable()
export class IndustryChangeApplicationService {
  constructor(
    @InjectModel(IndustryChangeApplication.name)
    private applicationModel: Model<IndustryChangeApplicationDocument>,
  ) {}

  async getAll() {
    return this.applicationModel.find();
  }
}
